### Enumeration

# Gio BusType

since: 2.26

#### Declaration

    enum Gio.BusType

#### Description

An enumeration for well-known message buses.

Available since: 2.26

#### Members

`G_BUS_TYPE_STARTER`

  An alias for the message bus that activated the process, if any.

  - Value: `-1`
  - Available since: 2.26
`G_BUS_TYPE_NONE`

  Not a message bus.

  - Value: `0`
  - Available since: 2.26
`G_BUS_TYPE_SYSTEM`

  The system-wide message bus.

  - Value: `1`
  - Available since: 2.26
`G_BUS_TYPE_SESSION`

  The login session message bus.

  - Value: `2`
  - Available since: 2.26